SDL_windowskeyboard.h File Reference
`#include "../../SDL_internal.h"`
Include dependency graph for SDL_windowskeyboard.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | WIN_InitKeyboard (_THIS)
void | WIN_UpdateKeymap (void)
void | WIN_QuitKeyboard (_THIS)
void | WIN_ResetDeadKeys (void)
void | WIN_StartTextInput (_THIS)
void | WIN_StopTextInput (_THIS)
void | WIN_SetTextInputRect (_THIS, SDL_Rect *rect)
SDL_bool | IME_HandleMessage (HWND hwnd, UINT msg, WPARAM wParam, LPARAM *lParam, struct SDL_VideoData *videodata)

## Function Documentation

## IME_HandleMessage()

SDL_bool IME_HandleMessage | ( | HWND | hwnd,
|  | UINT | msg,
|  | WPARAM | wParam,
|  | LPARAM * | lParam,
|  | struct SDL_VideoData * | videodata
| ) |  |

## WIN_InitKeyboard()

void WIN_InitKeyboard | ( | _THIS |  | ) |

## WIN_QuitKeyboard()

void WIN_QuitKeyboard | ( | _THIS |  | ) |

## WIN_ResetDeadKeys()

void WIN_ResetDeadKeys | ( | void |  | ) |

## WIN_SetTextInputRect()

void WIN_SetTextInputRect | ( | _THIS | ,
|  | SDL_Rect * | rect
| ) |  |

## WIN_StartTextInput()

void WIN_StartTextInput | ( | _THIS |  | ) |

## WIN_StopTextInput()

void WIN_StopTextInput | ( | _THIS |  | ) |

## WIN_UpdateKeymap()

void WIN_UpdateKeymap | ( | void |  | ) |